1. Soulbladerunner

    OP Soulbladerunner Newbie
    Newcomer

    Joined:
    Dec 5, 2019
    Messages:
    1
    Country:
    Ireland
    Hi All
    I have a PS4 Pro with the initial firmware it came with 5.55. I just bought a PSVR Headset and it is already on 4.10 and wants me to upgrade the Ps4. I cannot do anything with it right now it just turns of if I decline the update. Is there anything one can do with Specters Webkit exploit to get the headseat working or do I need to update the firmware to 6.0? If so would you update to 6.0?

    Thanks
    Soulbladerunner
     
  2. Mo Poge

    Mo Poge GBAtemp Regular
    Member

    Joined:
    Jan 5, 2016
    Messages:
    114
    Country:
    United States
    If you want to hold out hope that someday a new kexploit is released, then don't update.

    You could also update to the latest FW (which is 7.0, btw, not 6.0) and start using your stuff. You could also buy a 5.05 PS4 (Pro) on ebay/Craigslist if you want to go that route instead or in addition to.

    The decision is yours.
     
  3. digipimp75

    digipimp75 GBAtemp Advanced Fan
    Member

    Joined:
    Jan 16, 2014
    Messages:
    563
    Country:
    United States
    I'd just update. There's nothing going on with the PS4 scene as far as later firmware exploits, and we've been stuck at 5.05 for almost 2 years.
     
  4. theasker

    theasker GBAtemp Advanced Fan
    Member

    Joined:
    Jun 10, 2009
    Messages:
    552
    Country:
    United States
    Daaam has I been 2 years already? :O

    I know that I can't complain since I'm not the one who put hard work into this etc etc, but daaam those who find exploits are really slow.... :/
    They are really either really slow or the later firmware is really hard to exploit...
     
Draft saved Draft deleted